// Definition der LED-Pins
#define led1 20   // LED1 ist mit Pin 20 verbunden
#define led2 21   // LED2 ist mit Pin 21 verbunden

void setup() {
  // Setze beide Pins als Ausgang
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
}

void loop() {
  // Schalte LED1 ein und LED2 aus
  digitalWrite(led1, HIGH);  // Strom an LED1 einschalten
  digitalWrite(led2, LOW);   // Strom an LED2 ausschalten
  delay(300);                // Warte 300 Millisekunden

  // Schalte LED1 aus und LED2 ein
  digitalWrite(led1, LOW);   // Strom an LED1 ausschalten
  digitalWrite(led2, HIGH);  // Strom an LED2 einschalten
  delay(300);                // Warte erneut 300 Millisekunden
}