#include <TM1637Display.h>

#define segmentanzeige_CLK 3
#define segmentanzeige_DIO 4
TM1637Display display(segmentanzeige_CLK, segmentanzeige_DIO);

#define tasterPlus 8
#define tasterMinus 6
Bounce bceTasterPlus = Bounce();
Bounce bceTasterMinus = Bounce();

const int PAUSE = 100;

void setup() {
  display.setBrightness(7);

  bceTasterPlus.attach(tasterPlus, INPUT_PULLUP);
  bceTasterPlus.interval(5);

  bceTasterMinus.attach(tasterMinus, INPUT_PULLUP);
  bceTasterMinus.interval(5);
}

void loop() {
  for (int i = 0; i < 9999; i++) {
    display.showNumberDecEx(i, 4, 4);
    delay(PAUSE);
  }

  for (int i = 9999; i > 0; i--) {
    display.showNumberDecEx(i, 4, 4);
    delay(PAUSE);
  }
}
